Subject: Re: Beeping

From: Simon McClenahan <[email-masked]>
Date: Thu, 10 Mar 1994 12:18:13 +1000 (EST)

> > Michael Pomputius <[email-masked]> wrote:
> > 
> > > I was hoping there was some way I could put it in the background and
> > > do other stuff, and it would make a beep while I'm doing other stuff
> > > alerting me that there's new mail. This would be nice when I'm at
> > > home on my PC without any Xwindows.

Use a program called screen, available from the GNU archives. You will
be able to have multiple "windows" or screens from your tty when you're
at home. I don't know if I can ever survive without it.

I do a slightly tricky thing myself. I run screen within screen. This means
that when I'm at work or anywhere using an xterm or whatever, I use
my special email screen which has pine running in it. Then when I'm at
home or anywhere else, I run screen (naturally), and in one of those screens
I grab my mail session... 

Then when pine beeps at you from another window, screen will tell you that
there is a beep in another window (which you would probably recognise as your
email/pine window)

NAME
     screen - screen manager with VT100/ANSI terminal emulation

SYNOPSIS
     screen [ -options ] [ cmd [ args ] ]
     screen -r [ [pid.]tty[.host] ]

DESCRIPTION
     Screen is a full-screen window manager  that  multiplexes  a
     physical   terminal  between  several  processes  (typically
     interactive shells).  Each  virtual  terminal  provides  the
     functions  of a DEC VT100 terminal and, in addition, several
     control functions from the ANSI X3.64  (ISO  6429)  and  ISO
     2022 standards (e.g. insert/delete line and support for mul-
     tiple character sets).  There is a scrollback history buffer
     for  each  virtual  terminal  and a copy-and-paste mechanism
     that allows moving text regions between windows.

The simple answer is, get screen (or iscreen I think it is sometimes called)
from your favourite GNU software archive. It really is the best thing since
sliced bread.

cheers,

[email-masked]      \CSIRO Supercomputing Support Group
CSIRO Division of Information Technology\              tel: +61 3 282 2623
723 Swanston St, Carlton 3053 AUSTRALIA  \             fax: +61 3 282 2600
     REVELATION: Top scientist discovers New Jersey on Karnaugh map!